<?php
/**
 * Daisycon affiliatemarketing api advertiser model
 *
 * @category  Daisycon
 * @package   Daisycon_Affiliatemarketing
 * @copyright Copyright (c) 2018 Daisycon B.V.
 * @author    Daisycon B.V. <support@daisycon.com>
 *
 * @property int $id
 * @property string $customer_number
 * @property string $company_name
 * @property string $name
 * @property string $tracking_level
 * @property string $agreement_terms
 * @property int $autoacceptance
 */
class Daisycon_Affiliatemarketing_Model_Api_Resource_Advertiser
    extends Daisycon_Affiliatemarketing_Model_Api_Resource_Abstract
{
    /**
     * @var array
     */
    protected $_assignable = array(
        'id',
        'customer_number',
        'company_name',
        'name',
        'tracking_level',
        'agreement_terms',
        'autoacceptance',
    );

    /**
     * Service url of advertisers
     *
     * @var string
     */
    protected $_url = 'advertisers';
}
